Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class InvalidObjAccessException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.InvalidObjAccessException

public class InvalidObjAccessException
extends JboException

Indicates that an attempt has been made to associate an object with a type for which it is not valid.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`InvalidObjAccessException(int objTypeId, java.lang.String objName)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_INVALID_OBJECT_ACCESS`.
`InvalidObjAccessException(java.lang.String objType, java.lang.String objName)` Creates an exception to be localized using `CSMessageBundle` and error code `EXC_INVALID_OBJECT_ACCESS`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidObjAccessException

    public InvalidObjAccessException(java.lang.String objType,
                                     java.lang.String objName)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_INVALID_OBJECT_ACCESS`.
  Parameters:
    `objType` - the object's type name, the first message parameter.

### InvalidObjAccessException

    public InvalidObjAccessException(int objTypeId,
                                     java.lang.String objName)

  Creates an exception to be localized using `CSMessageBundle` and error code `EXC_INVALID_OBJECT_ACCESS`.
  Parameters:
    `objType` - the object's type id, the first message parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD